Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::GC Class Reference

A convenient gtk_gc_get() and gtk_gc_release() C++ wrapper class. More...

`#include <xfc/gtk/gc.hh>`

Inheritance diagram for Xfc::Gtk::GC:

List of all members.

## Public Member Functions

Constructors

- GC (int depth, Gdk::Colormap *colormap, const Gdk::GCValues &values)
    Construct a new GC with the given depth, colormap and Gdk::GCValues.
- virtual ~GC ()
    Destructor.

## Detailed Description

A convenient gtk_gc_get() and gtk_gc_release() C++ wrapper class.

GC provides access to a shared pool of Gdk::GC objects. When you construct a new GC, gtk_gc_get() is called with the required depth, colormap and Gdk::GCValues. If a Gdk::GC with the required properties already exists then that is wrapped. If not, a new Gdk::GC is created. The destructor releases for the Gdk::GC when the GC goes out of scope.

## Constructor & Destructor Documentation

Xfc::Gtk::GC::GC | ( | int | depth,
|  | Gdk::Colormap * | colormap,
|  | const Gdk::GCValues & | values
| ) |

Construct a new GC with the given depth, colormap and Gdk::GCValues.

Parameters:

  | depth | The depth of the GC to create.
  | colormap | The Gdk::Colormap.
  | values | A Gdk::GCValues object containing settings for the GC.

The documentation for this class was generated from the following file:

- gtk/gc.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3